Subject: user input routine

From: [email-masked] (Eyal Lebedinsky)
Date: Tue, 10 Mar 92 9:12:56 EST

Hello everyone

I just picked the demo and devel zips. It seems that the sources are
mostly missing so I picked vgaline.asm assuming this is the line drawing
code.

I noted that the user input routine is rather minimal (from the doco
on changes) so I left in pub/incoming/get_str.zip the routine I use these
days. It comes from a recent CUJ issue (I am almost sure) but I added the
expected msdos keys. It is mostly independent of the user i/o, just call
get_str_ini() ang supply your own i/o primitives. It handles history as
well as line editing. It is small. The history buffer memory structure
stinks ( a proper circular buffer with variable length entries is the way
to go) by I didn't get to upgrading it.

-- 
Regards
	Eyal Lebedinsky		[email-masked]